Examplary
Start for free
Developer docs

Add question

POSThttps://api.examplary.ai/exams/{id}/questions

Append a question, or an array of questions, to the exam, for example a copy from the question bank. Each question gets a new id. Returns the added questions as an array.

Path parameters

idstringrequired

Request body

typestringrequired

ID of the question type

titlestring· nullable

Title for the question (stem)

descriptionstring· nullable

Optional HTML description for the question

settingsobject

Settings for the question, often specific to the question type

scoringobject· nullable

Scoring configuration for the question

printingobject· nullable

Printing configuration for the question

tagsarray string[] | null· nullable

Tags associated with the question for categorization and search

externalIdstring· nullable

Optional external ID for the question, used to link to external systems

metadataobject· nullable

Metadata for the question

sectionIdstring· nullable

ID of the exam section this question belongs to

questionBankItemIdstring· nullable

ID of the question in the question bank

traceIdsarray string[] | null· nullable

Trace IDs for internal tracking of AI generation processes

Responses

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

429 — Rate limit exceeded

Requirements

Rate limit

30 requests per minute per user.

User roles

This endpoint requires the teacher, admin, or owner role to be present.

OAuth scopes

This endpoint requires the exams:write scope to be present.